#!/usr/bin/perl5.8.8
#use Mail::Bulkmail;
use strict;
use Getopt::Long;
use Mail::Bulkmail 3.00 "./bulkmail.config";
use Mail::Bulkmail::Server;

my $server = Mail::Bulkmail::Server->new(
    'Smtp' => 'localhost',
    'Port' => 25
) || die Mail::Bulkmail::Server->error();

my $subject;
my $message;
my $recipients;
my $from;
GetOptions("subject=s" => \$subject, "s=s" => \$subject, "message=s" => \$message,"m=s" => \$message, "recipients=s" => \$recipients, "r=s", \$recipients, "from=s" => \$from, "f=s" => \$from);

printf("\nUSAGE:\n------\n bulkmail.pl -f '\"mailer name\" <from\@domain.com>' -m path/to/message.txt -r \"/path/to/recipients_list.txt\" -s \"subject of mail\" \n") && exit()  unless $subject && $message && $recipients && $from;


my $bulk = Mail::Bulkmail->new(
       "LIST"          => $recipients,
       "From"          => $from,
       "Subject"       => $subject,
       "message_from_file" => 1,
       "Message"       => $message,
       "servers"       => [$server]
) || die Mail::Bulkmail->error();

$bulk->bulkmail() || die $bulk->error;

